function [ sales ] = generate_data_EKK(fd, Export_ratio, phiratio_df, xi_norm,c_sim,gen, param )
%generate_data_EKK Generate data with EKK shocks
% Fd not used anymore

% param=x0
% Md = Md_data;
% phiratio_df   = repmat(rand(1,gen.('J')),gen.('N'),1);    % Ratios
% xi_norm = randn(gen.('G'),gen.('N'),gen.('J')); ;
% c_sim   = randn(gen.('N'),gen.('J'));
% c_sim = permute(repmat(c_sim,[1 1 gen.('G')]),[3 1 2]);


JFull=size(xi_norm,3);


[ phiratio_df,xi_norm,c_sim ] = generate_exporters_EKK( Export_ratio, phiratio_df, xi_norm,c_sim,param );


delta         = param(1);
theta_tilde   = param(2);
sigmaxi       = param(3);
alphat        = param(4);
sigmac        = param(5);


GG=size(xi_norm,1);
NN=size(xi_norm,2);
JJ=size(xi_norm,3);

g=(1:1:GG);  

T = phiratio_df.^(-1/theta_tilde)./(exp(sigmac*squeeze(c_sim(1,:,:)))./exp(sigmac^2/2));
T = sort(T,2,'descend');
for i=1:NN
   phistar_d2(i,1)=T(i,min(size(T,2),floor(JFull*Export_ratio(i))) );
end

phistar_dg_exp2 = (delta+alphat);
phistar_dg2 = (repmat(g,[NN 1]).^phistar_dg_exp2).*repmat(phistar_d2,1,GG);
phi_df2 = (phiratio_df.^(-1/theta_tilde));

prod_m_exp_sigma2 = permute(repmat(phi_df2,[1 1 GG]),[3 1 2 ]);
cutt_m_exp_sigma2 = permute(repmat(phistar_dg2,[1 1 JJ]),[2 1 3]).*exp(sigmac*c_sim)/exp(sigmac^2/2);
indx_exp_sigma2 = prod_m_exp_sigma2>cutt_m_exp_sigma2;



if NN == 1
    G2 = permute(repmat(squeeze(sum(indx_exp_sigma2,1)), [1 1 GG]),[3 1 2 ]);
    G2 = permute(G2, [1 3 2]);
else
    G2 = permute(repmat(squeeze(sum(indx_exp_sigma2,1)), [1 1 GG]),[3 1 2 ]);
end

phistar_dgt_exp_sigma2=(phistar_dg2');
phistar_dG_exp_sigma2=phistar_dgt_exp_sigma2(sub2ind(size(phistar_dgt_exp_sigma2),max(G2,1),repmat(1:NN,[ GG 1 JJ])));%


% Combine to Get Sales for Firm, Product, Destination
sales = indx_exp_sigma2.*G2.^(alphat+delta).*(prod_m_exp_sigma2./phistar_dG_exp_sigma2).*repmat((g').^(-alphat),[1 NN JJ]).*exp(xi_norm.* sigmaxi)/exp(sigmaxi^2/2).*exp(sigmac*c_sim)/exp(sigmac^2/2);

% sales = sales(:,1:5,:);
possales_idx = sum(indx_exp_sigma2(1,:,:),2)>0;
sales=sales(:,:,possales_idx==1);

fprintf('\n %.4f   %.4f   %.4f   %.4f   %.4f\t'  ,param(1:5))
% squeeze(sum(indx_exp_sigma,3))./squeeze(sum(indx_exp_sigma2,3))
% size(sales)

	try
		
		if gen.variance == 1;
		
		
			EG = indx_exp_sigma2.*G2.^(alphat+delta);
			ER = indx_exp_sigma2.*(prod_m_exp_sigma2./phistar_dG_exp_sigma2);
			Eg = indx_exp_sigma2.*repmat((g').^(-alphat),[1 NN JJ]);
			Ex = indx_exp_sigma2.*exp(xi_norm.* sigmaxi)/exp(sigmaxi^2/2);
			Ec = indx_exp_sigma2.*exp(sigmac*c_sim)/exp(sigmac^2/2);
		
			market = 1;
			Efilter= sales(:,market,:)>0;
			ES = log(sales(:,market,:));
			EG = log(EG(:,market,possales_idx==1));
			ER = log(ER(:,market,possales_idx==1));
			Eg = log(Eg(:,market,possales_idx==1));
			Ex = log(Ex(:,market,possales_idx==1));
			Ec = log(Ec(:,market,possales_idx==1));
		
			
			Efilter = squeeze(Efilter);
			ES = squeeze(ES);
			EG = squeeze(EG);
			ER = squeeze(ER);
			Eg = squeeze(Eg);
			Ex = squeeze(Ex);
			Ec = squeeze(Ec);
		
			
			Efilter = reshape(Efilter.',1,[]);
			ES = reshape(ES.',1,[]);
			EG = reshape(EG.',1,[]);
			ER = reshape(ER.',1,[]);
			Eg = reshape(Eg.',1,[]);
			Ex = reshape(Ex.',1,[]);
			Ec = reshape(Ec.',1,[]);
			
			
			E = [ES' EG' Eg' Ec' ER'  Ex' ];
			E=(E(Efilter==1,:));
			
			CovE= cov(E);
			
			Var_tot= sum(sum(CovE(2:6,2:6)));
			Var_AB = sum(sum(CovE(2:3,2:3)));
			Var_CD = sum(sum(CovE(4:5,4:5)));
			Var_E  = sum(sum(CovE(6:6,6:6)));

			fprintf('\nFIRM PRODUCT COVARIANCE COMPONENTS\n')
			fprintf(' %.4f   %.4f   %.4f   %.4f   %.4f\t\n'  ,param(1:5))

			fprintf('\t%s\t%5s\t%5s\t%5s\n','Total','AB','CD','E')
			fprintf('Var\t%5.2f\t%5.2f\t%5.2f\t%5.2f\n',[Var_tot,Var_AB,Var_CD,Var_E])
			fprintf('Pct\t%5.2f\t%5.2f\t%5.2f\t%5.2f\n\n',[Var_tot,Var_AB,Var_CD,Var_E]./Var_tot)
			
			fprintf('\nFIRM PRODUCT COVARIANCE MATRIX\n')
			stringC = {'A','B','C','D','E'};
			fprintf('%s\t%5s\t%5s\t%5s\t%5s\t%5s\n','','A','B','C','D','E')
			for i=2:6
				fprintf('%5s\t%5.2f\t%5.2f\t%5.2f\t%5.2f\t%5.2f\n',stringC{i-1},CovE(i,2:6))
			end
			
			
			

			EG = indx_exp_sigma2.*G2.^(alphat+delta);
			ER = indx_exp_sigma2.*(prod_m_exp_sigma2./phistar_dG_exp_sigma2);
			Eg = indx_exp_sigma2*0+1;
			Ex = indx_exp_sigma2.*exp(xi_norm.* sigmaxi)/exp(sigmaxi^2/2).*repmat((g').^(-alphat),[1 NN JJ]);
			Ec = indx_exp_sigma2.*exp(sigmac*c_sim)/exp(sigmac^2/2);
		
		
			market = 1;
			Efilter= sum(sales(:,market,:),1)>0;

			ES = log(sum(sales(:,market,:),1));
			EG = log(EG(1,market,possales_idx==1));
			ER = log(ER(1,market,possales_idx==1));
			Eg = log(Eg(1,market,possales_idx==1));
			Ex = log(sum(Ex(:,market,possales_idx==1),1));
			Ec = log(Ec(1,market,possales_idx==1));
		
			
			Efilter = squeeze(Efilter);
			ES = squeeze(ES);
			EG = squeeze(EG);
			ER = squeeze(ER);
			Eg = squeeze(Eg);
			Ex = squeeze(Ex);
			Ec = squeeze(Ec);
		
			
			Efilter = reshape(Efilter.',1,[]);
			ES = reshape(ES.',1,[]);
			EG = reshape(EG.',1,[]);
			ER = reshape(ER.',1,[]);
			Eg = reshape(Eg.',1,[]);
			Ex = reshape(Ex.',1,[]);
			Ec = reshape(Ec.',1,[]);
			
			E = [ES' EG' Eg' Ec' ER'  Ex' ];
			E=(E(Efilter==1,:));
			
			CovE= cov(E);
			Var_tot= sum(sum(CovE(2:6,2:6)));
			Var_AE = sum(sum(CovE([2 6],[2 6])));
			Var_CD = sum(sum(CovE(4:5,4:5)));
			
			fprintf('\n\nFIRM VARIANCE COMPONENTS\n')
			fprintf(' %.4f   %.4f   %.4f   %.4f   %.4f\t\n'  ,param(1:5))

			fprintf('\t%s\t%5s\t%5s\n','Total','AE','CD')
			fprintf('Var\t%5.2f\t%5.2f\t%5.2f\t\n'  ,[Var_tot,Var_AE,Var_CD])
			fprintf('Pct\t%5.2f\t%5.2f\t%5.2f\t\n\n',[Var_tot,Var_AE,Var_CD]./Var_tot)

			fprintf('\nFIRM COVARIANCE MATRIX\n')
			stringC = {'A','B','C','D','E'};
			fprintf('%s\t%5s\t%5s\t%5s\t%5s\t%5s\n','','A','B','C','D','E')
			for i=2:6
				fprintf('%5s\t%5.2f\t%5.2f\t%5.2f\t%5.2f\t%5.2f\n',stringC{i-1},CovE(i,2:6))
			end
			
		else
			
		end

	catch
		%fprintf('\ndied\n')
	end

end

