function [ phiratio_df,xi_norm,c_sim ] = generate_exporters_EKK( Export_ratio, phiratio_df, xi_norm,c_sim,param )
%This helper function takes in the paramters and random variables
%And finds which firms will "export"
%It then exports the observations of the firms that export.
%Essentially there are two ways a firm exports
% 1) Super high productivity (uniform)
% 2) Super low low export cost (lognormal)

	% param         = x0
	% Md            = Md_data;
	% phiratio_df   = repmat(rand(1,gen.('J')),gen.('N'),1);    % Ratios
	% xi_norm       = randn(gen.('G'),gen.('N'),gen.('J')); ;
	% c_sim         = permute(repmat(randn(gen.('N'),gen.('J')),[1 1 gen.('G')]),[3 1 2]);
	% param = [-0.9200    6.8015    1.2565    0.3293    0.7853]

	theta_tilde   = param(2);
	sigmac        = param(5);

	G       = size(xi_norm,1);
	N       = size(xi_norm,2);
	J       = size(xi_norm,3);

	g=(1:1:G);  

	T = phiratio_df.^(-1/theta_tilde)./(exp(sigmac*squeeze(c_sim(1,:,:)))./exp(sigmac^2/2));
	T = sort(T,2,'descend');
	for i=1:N
	   phistar_d2(i,1)=T(i,round(J*Export_ratio(i))) ;
	end

	prod_m_exp_sigma2 = permute(repmat(phiratio_df.^(-1/theta_tilde),[1 1 1]),[3 1 2 ]);
	cutt_m_exp_sigma2 = permute(repmat(repmat(phistar_d2,1,1),[1 1 J]),[2 1 3]).*exp(sigmac*c_sim(1,:,:))/exp(sigmac^2/2);
	indx_exp_sigma2 = prod_m_exp_sigma2>cutt_m_exp_sigma2;
	keep_idx    = sum(indx_exp_sigma2(1,:,:),2)>0;

	phiratio_df = (phiratio_df(:,keep_idx==1));
	xi_norm     = (xi_norm(:,:,keep_idx==1) );
	c_sim       = (c_sim(:,:,keep_idx==1)) ;

end
 
