function [ fd_recovered ] = generate_fd(use_mean, sales_data)

    firms_sells             = sum(sum(sales_data>0,1)>0,3);
    total_sales             = nansum(sum(sales_data,1),3);

    % Using means
    ave_firm_sales          = total_sales./firms_sells;
    fd_recovered_mean       = ave_firm_sales'/ave_firm_sales(1);

    % Using Medians          
    salesnan                = sales_data;                
    salesnan(salesnan == 0) = NaN;     
    firmsalesnan = nansum(salesnan,1);
    firmsalesnan(firmsalesnan == 0) = NaN;   
    median_firm_sales=nanmedian(firmsalesnan,3)';
    fd_recovered_median=median_firm_sales./median_firm_sales(1);

    [fd_recovered_median fd_recovered_mean]

    if use_mean == 1
        fd_recovered=fd_recovered_mean;
    else
        fd_recovered=fd_recovered_median;
    end
    fd_recovered = fd_recovered(1:size(sales_data,2));

end