function [ make_simulated ] = generate_simulation( fd_recovered, Md_data,Export_ratio, o )
%generate_simulation is a wrapper function to generate data
%   This creates an names annonymous function make_simulated
%   Which takes the parameter inputes (denoted x) and generates
%   data

    if o.randomize == 0
        rng(234943)                 % Use Fixed Seed
    else
        rng('shuffle')              % Use RNG generator
    end

    if o.phicountry        == 1	
        unif_list=1:-1/o.('J'):0;
        phiratio_sim    = repmat(unif_list(1,1:o.('J')),o.('N'),1);    	% Randomly assign a productivty for each destination
    else
        phiratio_sim    = rand(o.('N'),o.('J'));               		   	% Assign a different productivty for each destination
        																% This should be never used
    end
    
    if o.do__EN == 1
		xi_norm_sim     = zeros(o.('G'),o.('N'),o.('J'));        		% NO VARIANCE
    else
		xi_norm_sim     = randn(o.('G'),o.('N'),o.('J'));        		% Normally distributed
    end
    
    if o.do_EKK == 1 
        c_sim           = randn(o.('N'),o.('J'));                		% Fixed Cost Shock
        c_sim = permute(repmat(c_sim,[1 1 o.('G')]),[3 1 2]);
        make_simulated  = @(x) generate_data_EKK(fd_recovered, Export_ratio,phiratio_sim, xi_norm_sim, c_sim, o, x(1:5) );
    else
        make_simulated  = @(x) generate_data    (fd_recovered, Md_data,phiratio_sim, xi_norm_sim,        o, x(1:5) );
    end
	
end

