function [ W_peni,W_inv ] = generate_weights_joints(moment_dataA, moment_dataB, salesA, salesB, moments_fctA,moments_fctB, iters, sampleA, sampleB )
% Generate A Sampled Weighting Matrix
% This does for two samples, denoted A and B 
% A-> LAC and B-> ROW

% For testing, uncomment
% sample = 100
% iters = 50
% sales=make_simulated(x0);
% real_data = sales;

    rng(234943)

    display('----------------')
    display('Making Weights')

    GA = size(salesA,1);
    NA = size(salesA,2);
    JA = size(salesA,3);

    GB = size(salesB,1);
    NB = size(salesB,2);
    JB = size(salesB,3);

    
    Omega = zeros((size(moment_dataA,2))+(size(moment_dataB,2)));
    sales_sampleA = zeros(GA,NA,JA);
    sales_sampleB = zeros(GB,NB,JB);

    for i=1:iters
        fprintf('%.0f.', i)
        
        R=randsample(JA,sampleA,true);
        sales_sampleA=salesA(:,:,R);
        moment_sampleA = moments_fctA(sort(sales_sampleA,'descend'));
        diffA = [(moment_sampleA - moment_dataA)];
        
        R=randsample(JB,sampleB,true);
        sales_sampleB=salesB(:,:,R);
        moment_sampleB = moments_fctB(sort(sales_sampleB,'descend'));
        diffB = [(moment_sampleB - moment_dataB)];       
        
        diff = [diffA diffB];
        
        Omega = Omega + diff'*diff;
        
    end
    
 
    Omega= Omega/iters;
    
    fprintf('\n')
    display('INV--------------')
    W_inv = inv(Omega);
    display('PINV-------------')
    W_peni = pinv(Omega); % Moore-Penrose pseudoinverse 
    display('-----------------')

end
