% ----------------------------------------------------------------------------------------
% Wrapper for Getting Estimates
% ----------------------------------------------------------------------------------------
close all
clear all
echo off


% ----------------------------------------------------------------------------------------
%% Set Up Paths
% ----------------------------------------------------------------------------------------
root = '/gpfs/home/fas/arkolakis/sg596/2013_Multiproducts/'
run  = 'A-W1G2-'
type{1} = 'mfged';
type{2} = 'mfged-noX';
type{3} = 'mfged-noC';
type{4} = 'mfged_adj';
type{5} = 'mfged_highvol';
type{6} = 'mfged_hs8';
type{7} = 'mfged_10pct';
type{8} = 'mfged-noARUS'	;
type{9} = 'mfged_mercsa_double';
type{10} = 'mfged_merc_double';
type{11} = 'simulate';

% ----------------------------------------------------------------------------------------
% Aggregate Boostrapped Estimates
% ----------------------------------------------------------------------------------------
for i=1:11
	location_estimate  =[root 'EstimationSMM-v6-ratios/Output/' run type{i} '-NM-1000000f-32c-1s-joint-EKK2/'   ];
	location_errors    =[root 'EstimationSMM-v6-ratios/Output/' run type{i} '-NM-1000000f-32c-1s-joint-EKK2-BS/'];
	type{i}
	[est(i,:),~]		= get_estimates_simple( location_estimate ,0 );
	[~,est_sd(i,:)] 	= get_estimates_simple( location_errors   ,1 );
end

est
est_sd

% ----------------------------------------------------------------------------------------
% Print Out Results
% ----------------------------------------------------------------------------------------
output_directory = [root 'Results/Tables/']
mkdir(output_directory)

fid = fopen([output_directory 'Table_estimation_updated.txt'], 'w');
fprintf(fid,'%23s\tdeltaSA\tdeltaRW\tthetat\tsigmaxi\talphat\tsigmac\t\td_diff\n\n','RUN');
for i=1:11
	fprintf(fid,'%23s\t%6.2f\t%6.2f\t%6.2f\t%6.2f\t%6.2f\t%6.2f\t\t%6.2f\n', type{i},est(i,[1 2 4 5 6 7 8]));
	fprintf(fid,'%23s\t(%4.2f)\t (%4.2f)\t (%4.2f)\t (%4.2f)\t (%4.2f)\t (%4.2f)\t\t (%4.2f)\n\n', 'sd',est_sd(i,[1 2 4 5 6 7 8]));
end
fclose(fid);

fid = fopen([output_directory 'Table_estimation_updated_tex.txt'], 'w');
fprintf(fid,'%23s & deltaSA & deltaRW & thetat & sigmaxi & alphat & sigmac & & d_diff\n\n','RUN');
for i=1:11
	fprintf(fid,'%23s & %6.2f & %6.2f & %6.2f & %6.2f & %6.2f & %6.2f & & %6.2f\n', type{i},est(i,[1 2 4 5 6 7 8]));
	fprintf(fid,'%23s & (%4.2f) & (%4.2f) & (%4.2f) & (%4.2f) & (%4.2f) & (%4.2f) & & (%4.2f)\n\n', 'sd',est_sd(i,[1 2 4 5 6 7 8]));
end
fclose(fid);


