function [ pctA ] = plot_exporter_scope_2( sales_dataA,sales_dataB,sim_dataA,sim_dataB,name,folder,names )
%plot_exporter_scope_2 Plots Exporter Scopes

    [ pctA,yA ] = plot_exporter_scope_2_sub( sales_dataA );
    [ pctB,yB ] = plot_exporter_scope_2_sub( sales_dataB );

    f= figure;
    
    % For non-data only
    if length(names) > 2
        [ pctAs,yAs ] = plot_exporter_scope_2_sub( sim_dataA );
    	[ pctBs,yBs ] = plot_exporter_scope_2_sub( sim_dataB );
    			        plot((pctA), (yA),'ok','markers',4);	
    	hold on;     	plot((pctAs),(yAs),'-k' );    	hold off;				   	
    	hold on;    	plot((pctB), (yB),'dk','markers',4,'markerfacecolor','k');  hold off;
    	hold on;    	plot((pctBs),(yBs),'--k'); 								   	hold off;
	else
	                 	plot((pctA), (yA),'ok','markers',4); 
	    hold on;    	plot((pctB), (yB),'dk','markers',4,'markerfacecolor','k'); 	hold off;
		
	

	end
	
	% Formatting
	set(gca,'XGrid','off','YGrid','off','Box','off')
	l=legend(names,'Location', 'NorthWest','FontSize',14);
    legend('boxoff')	
	ylabel('Exporter Scope (HS 6-digit)','FontSize',14);
	xlabel('Percentile of Exporter by Exporter Scope','FontSize',14);

	% Save Files
	file_name = strcat(folder,name,'.eps');
	print(f, '-depsc', strcat(folder,name,'.eps'));
	fprintf('\tGenerated Scope Distribution for: %s, %s\n',names{1},names{2})
	fprintf('\t\tSaved at: %s\n\n',file_name)
	
end

