function [ salespct ] = plot_exporter_size( sales,name,folder,names)
%PLOT_EXPORTER_SIZE Summary of this function goes here
%   Detailed explanation goes here

	specs = {'--r','--m','--y','--c','--b','--k','--r','--r','--r','--r'};
%    countries = {'Country 1','Country 2','Country 3','Country 4','Country 5'};
%    countries = {'Argentina','USA','Uruguay','Chile','Paraguay'};
	countries = names;

	N = size(sales,2);	
    sales_data_firms             = sum(sum(sales>0,1)>0,3);

    % Size Distribution of Firms
    f=figure;
    for c = 1:min(5,N)

        country = c;
        sales_data_firm_total = squeeze(sort(sum(sales(:,country,:)),'descend'));
        x = ((sales_data_firms(country):-1:1)/sales_data_firms(country));
        y = log(sales_data_firm_total(1:sales_data_firms(country)));
        sales50 = y(round(size(y,1)*.5));
        y = y-sales50;

        nth = max(1,round(size(y,1)*(0:.01:1)));

        hold on
        scatter(x(nth),y(nth),'.')
        hold off

    end
    title ({'Total Firm Sales by Destination (Relative to 50th Percentile)',name},'FontSize', 20);
    xlabel('Firm Sales Percentile');
    ylabel('Log Firm Sales');
    l=legend(countries,'Location', 'SouthEast');
    legend('boxoff')	
    xlim([0 1])
    ylim([-10 10])
    set(gca,'XGrid','off','YGrid','off','Box','off')
    print(f, '-depsc', strcat(folder,name,'.eps'))

end

