function [ f ] = plot_optimality_triple(xF,xS,x0,criterion_fct,name,folder)

criterion_fct_1   = @(x) criterion_fct([        x xF(2:7)]);
criterion_fct_2   = @(x) criterion_fct([xF(1)   x xF(3:7)]);
criterion_fct_3   = @(x) criterion_fct([xF(1:2) x xF(4:7)]);
criterion_fct_4   = @(x) criterion_fct([xF(1:3) x xF(5:7)]);
criterion_fct_5   = @(x) criterion_fct([xF(1:4) x xF(6:7)]);
criterion_fct_6   = @(x) criterion_fct([xF(1:5) x xF(7)  ]);

range1 = sort([(xF(1)*.5):(xF(1)*.75/25):(xF(1)*1.5) xF(1)]);
range2 = sort([(xF(2)*.5):(xF(2)*.75/25):(xF(2)*1.5) xF(2)]);
range3 = sort([(xF(3)*.5):(xF(3)*.75/25):(xF(3)*1.5) xF(3)]);
range4 = sort([(xF(4)*.5):(xF(4)*.75/25):(xF(4)*1.5) xF(4)]);
range5 = sort([(xF(5)*.5):(xF(5)*.75/25):(xF(5)*1.5) xF(5)]);
range6 = sort([(xF(6)*.5):(xF(6)*.75/25):(xF(6)*1.5) xF(6)]);

crit_1 = zeros(size(range1));
crit_2 = zeros(size(range2));
crit_3 = zeros(size(range3));
crit_4 = zeros(size(range4));
crit_5 = zeros(size(range5));
crit_6 = zeros(size(range6));

for i=1:size(range1,2);	crit_1(i) = criterion_fct_1(range1(i));end;
for i=1:size(range2,2);	crit_2(i) = criterion_fct_2(range2(i));end;
for i=1:size(range3,2);	crit_3(i) = criterion_fct_3(range3(i));end;
for i=1:size(range4,2);	crit_4(i) = criterion_fct_4(range4(i));end;
for i=1:size(range5,2);	crit_5(i) = criterion_fct_5(range5(i));end;
for i=1:size(range6,2);	crit_6(i) = criterion_fct_6(range6(i));end;

f=figure

subplot(2,3,1);plot(range1,log(crit_1));title('Delta')
hold on;x=[xF(1),xF(1)];y=[max(log(crit_1)),min(log(crit_1))];plot(x,y,'--r');hold off;
hold on;x=[xS(1),  xS(1)  ];y=[max(log(crit_1)),min(log(crit_1))];plot(x,y,'-k');hold off;
hold on;x=[x0(1),  x0(1)  ];y=[max(log(crit_1)),min(log(crit_1))];plot(x,y,':g');hold off;

subplot(2,3,2);plot(range2,log(crit_2));title('Sigma')
hold on;x=[xF(2),xF(2)];y=[max(log(crit_2)),min(log(crit_2))];plot(x,y,'--r');hold off;
hold on;x=[xS(2),  xS(2)  ];y=[max(log(crit_2)),min(log(crit_2))];plot(x,y,'-k');hold off;
hold on;x=[x0(2),  x0(2)  ];y=[max(log(crit_2)),min(log(crit_2))];plot(x,y,':g');hold off;

subplot(2,3,3);plot(range3,log(crit_3));title('SigmaXi')
hold on;x=[xF(3),xF(3)];y=[max(log(crit_3)),min(log(crit_3))];plot(x,y,'--r');hold off;
hold on;x=[xS(3),  xS(3)  ];y=[max(log(crit_3)),min(log(crit_3))];plot(x,y,'-k');hold off;
hold on;x=[x0(3),  x0(3)  ];y=[max(log(crit_3)),min(log(crit_3))];plot(x,y,':g');hold off;

subplot(2,3,4);plot(range4,log(crit_4));title('Alpha')
hold on;x=[xF(4),xF(4)];y=[max(log(crit_4)),min(log(crit_4))];plot(x,y,'--r');hold off;
hold on;x=[xS(4),  xS(4)  ];y=[max(log(crit_4)),min(log(crit_4))];plot(x,y,'-k');hold off;
hold on;x=[x0(4),  x0(4)  ];y=[max(log(crit_4)),min(log(crit_4))];plot(x,y,':g');hold off;

subplot(2,3,5);plot(range5,log(crit_5));title('SigmaC')
hold on;x=[xF(5),xF(5)];y=[max(log(crit_5)),min(log(crit_5))];plot(x,y,'--r');hold off;
hold on;x=[xS(5),  xS(5)  ];y=[max(log(crit_5)),min(log(crit_5))];plot(x,y,'-k');hold off;
hold on;x=[x0(5),  x0(5)  ];y=[max(log(crit_5)),min(log(crit_5))];plot(x,y,':g');hold off;

subplot(2,3,6);plot(range6,log(crit_6));title('Delta2')
hold on;x=[xF(6),xF(6)];y=[max(log(crit_6)),min(log(crit_6))];plot(x,y,'--r');hold off;
hold on;x=[xS(6),  xS(6)  ];y=[max(log(crit_6)),min(log(crit_6))];plot(x,y,'-k');hold off;
hold on;x=[x0(6),  x0(6)  ];y=[max(log(crit_6)),min(log(crit_6))];plot(x,y,':g');hold off;


ha = axes('Position',[0 0 1 1],'Xlim',[0 1],'Ylim',[0 1],'Box','off','Visible','off','Units','normalized', 'clipping' , 'off');

text(0.5, 1,strcat('\bf ',name),'HorizontalAlignment' ,'center','VerticalAlignment', 'top')

display( strcat(datestr(now,'yyyymmdd-HHMMSS'),name))
strcat('Output/',datestr(now,'yyyymmdd-HHMMSS'),name)
print(f, '-depsc', strcat(folder,name,'.eps'))

end