function [ output_args ] = plot_totalsales_prod( sales,name,folder,names )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

	N = size(sales,2);
    G = size(sales,1);
    
	bin_L = 1:10;
	bin_H = 1:10;

%    size(sales)
    median_firm_sales    = zeros(N,size(bin_L,2));
    mean_product_sales   = zeros(N,size(bin_L,2));
    first_product_sales  = zeros(N,size(bin_L,2));
    second_product_sales = zeros(N,size(bin_L,2));

 %   tic
    for country = 1:N
        products_sold   = squeeze(sum(sales(:,country,:)>0,1))';
        firm_sales      = squeeze(sum(sales(:,country,:),1))';
        first_sales     = squeeze(sum(sales(1,country,:),1))';
        second_sales    = squeeze(sum(sales(2,country,:),1))';
        for product = 1:size(bin_L,2)
            indicator = (products_sold<=bin_H(product) & products_sold>=bin_L(product) );
            
            FIRMS 			= sum(products_sold(indicator)>0);
            FSALES 			= nanmedian(firm_sales(indicator));
            FSALES_first 	= nanmedian(first_sales(indicator));
            FSALES_second 	= nanmedian(second_sales(indicator));
            median_firm_sales(country,product) 		= FSALES;
            first_product_sales(country,product) 	= FSALES_first;
            second_product_sales(country,product) 	= FSALES_second;
            mean_product_sales(country,product) 	= FSALES/product;
        end
%         hold on
%         scatter (log(1:G),log(entry(country,:)))
%         hold off
    end
%    toc
    f=figure;

    
    
    country = 1;
    
    y1=nanmean( log(median_firm_sales(1:min(5,N),:)),1);
    y2=nanmean( log(mean_product_sales(1:min(5,N),:)),1);
    y3=nanmean( log(first_product_sales(1:min(5,N),:)),1);
    y4=nanmean( log(second_product_sales(1:min(5,N),:)),1);
%     loglog(bin_L,exp(y1/y1(1)),bin_L,exp(y2/y2(1)),bin_L,exp(y3/y3(1)))
%     hold on; plot(bin_L,(y1/y1(1))); hold off;
    hold on; plot(bin_L,(y2-y2(1)),bin_L,(y3-y3(1))); hold off;
%     hold on; plot(bin_L,(y3/y3(1))); hold off;
    
%     set(gca,'XTick',[1 2 4 8 16 32 ]) 
%     set(gca,'YTick',[1 2 4 8 16 32 ]) 

	set(gca,'XGrid','off','YGrid','off','Box','off')
 	xlabel('Number of Products Sold');
 	ylabel('Normalized Log Sales');
 	title ({'Brazil to World (Geometric Ave Top 5 Destination)',name},'FontSize', 20);
 	l=legend({'Product Sales - Mean of Average Products','Product Sales - Mean of Bestselling Products'},'Location', 'NorthWest');
%  	l=legend({'Median Firm Sales','Mean Product Sales','First Product Sales'},'Location', 'NorthWest');
    legend('boxoff')	
    xlim([min(bin_L) max(bin_L)])
    ylim([0 4.5])
	print(f, '-depsc', strcat(folder,name,'.eps'))

end
