function [ output_args ] = plot_totalsales_prod_2( sales_dataA,sales_dataB,sim_dataA,sim_dataB,name,folder,names )
%plot_totalsales_prod_2 Plot Scope vs Scale

	bin_L = 1:10;
	%bin_L = bin_L*0+1;
	bin_H = 1:10;

    f=figure;

    [y1A,y2A,y3A,y4A ]     = plot_totalsales_prod_2_sub(bin_L,bin_H,sales_dataA);
    [y1B,y2B,y3B,y4B ]     = plot_totalsales_prod_2_sub(bin_L,bin_H,sales_dataB);
    if length(names)>3
    	[y1As,y2As,y3As,y4As ] = plot_totalsales_prod_2_sub(bin_L,bin_H,sim_dataA);
    	[y1Bs,y2Bs,y3Bs,y4Bs ] = plot_totalsales_prod_2_sub(bin_L,bin_H,sim_dataB);
 	end
 	

    if length(names)>3
    	semilogy(bin_H,exp(y1A -y1A(1) ) ,'ok');
    	hold on; semilogy(bin_H,exp(y1As-y1As(1)) ,'--k'); hold off;
    else
	    semilogy(bin_H,exp(y1A -y1A(1)) ,'-ok')

    end
    
    if length(names)>3
        hold on; semilogy(bin_H,exp(y1B -y1B(1) ) ,'dk','markerfacecolor','k'); hold off;
    	hold on; semilogy(bin_H,exp(y1Bs-y1Bs(1)) ,'-k'); hold off;
	else
	    hold on; semilogy(bin_H,exp(y1B -y1B(1)) ,'-dk','markerfacecolor','k'); hold off;

	    p = polyfit(bin_H,exp(y1A -y1A(1) ),1);
 		yfit =  p(1) * bin_H + p(2);
    	hold on; semilogy(bin_H,yfit ,'--k'); hold off;
    	
     	p = polyfit(bin_H,exp(y1B -y1B(1) ),1);
 		yfit =  p(1) * bin_H + p(2);
    	hold on; semilogy(bin_H,yfit ,'--k'); hold off;	
	end
	
	% Formatting
	l=legend(names,'Location', 'NorthWest','FontSize',14);
	set(gca,'XGrid','off','YGrid','off','Box','off')
 	xlabel('Exporter Scope (HS 6-digit)','FontSize',14);
 	ylabel('Normalized Exporter Scale','FontSize',14);
    legend('boxoff')	
    xlim([min(bin_L) max(bin_H)])
    ylim([.75 10])
	set(gca,'YTick',[1 2 3 4 5 6 100 10000 1000000 100000000]) 
    yt = get(gca,'YTick');
    % 	title ({'Brazil to World (Geometric Ave Top 5 Destination)'},'FontSize', 20);

    % Output
    file_name = strcat(folder,name,'.eps');
	print(f, '-depsc',file_name )
	fprintf('\tGenerated Scale vs Scope for: %s, %s\n',names{1},names{2})
	fprintf('\t\tSaved at: %s\n\n',file_name)
	
end
