function [ ALchanges ] = alvarez_lucas_counterfactuals_differential( ALstart, ALparams,fixedchange1,fixedchangeall,icebergdrop,deltadrop)

%---------------------------
%Defining counterfactuals
%---------------------------

%     ym        = ALstart.ym;
%     gdp       = ALstart.gdp;
    deficitt  = ALstart.deficitt;
    deficitm  = ALstart.deficitm;
%     xnimatrix = ALstart.xnimatrix;
%     pimatrix  = ALstart.pimatrix;

    beta      = ALparams.beta;
    gamma     = ALparams.gamma;
    theta     = ALparams.theta;
    sigma     = ALparams.sigma;
    delta     = ALparams.delta;
%     delta2     = ALparams.delta2;
    
    alphatilde= ALparams.alphatilde;
    
    delta2  = delta*deltadrop
    power1  = (delta)*(1-theta/(sigma-1));
    power2  =  alphatilde/(sigma-1)*theta;
    
% Code for Deficits from DEK
%defmc = casurplus + deficitm';% Counterfactual deficit in manufactures %
%defmc=defmc';
%deftc = defmc' + deficitt - deficitm'; % Counterfactual total deficit in goods and services %

%no change in  counterfactuals deficits%
defmc =  deficitm; 
deftc =  deficitt;

n=size(deficitm,2);
%counterfactual fixed cost changes. We will change them only for the
%countries that are importing from Brazil

constantsum=0; %summation term in the gravity equation

sumterm=0;
% fixedterm=zeros(10000,1);
fixedterm2=zeros(10000,1);

for i=1:10000
    sumterm=(i)^(power1-power2)+sumterm;  %summation term (F_tilda)
%     fixedterm(i)=i^delta;
    fixedterm2(i)=i^delta2;
end

fixedchangerat=fixedchange1/fixedchangeall;

sumterm1=0;
sumterm1=fixedterm2(1)*fixedchange1^(1-theta/(sigma-1));
for i=2:10000
    sumterm1=(fixedterm2(i)*fixedchangeall)^(1-theta/(sigma-1))*(i^(-power2))+sumterm1;  %counterfactual summation term (new F_tilda)
end


ctfclsumterm=sumterm1/sumterm;              %putting the counterfactual change in the summation term (F_tilda new / F_tilda)
fixedcostmat=ones(n,n);                     %%defining a tau matrix
fixedcostmat(:,:)=(ctfclsumterm)*ones(n,n); % (F_tilda_new / F_tilda)^(1/theta) for all except the diagonal
%fixedcostmat(:,:)=(ctfclsumterm)*ones(n,n)^(1/theta); % (F_tilda_new / F_tilda)^(1/theta) for all except the diagonal

fixedchangeratmat(:,:)=fixedchangerat*ones(n,n);
fixedchange1mat(:,:)=fixedchange1*ones(n,n);
icebergchangemat(:,:)=icebergdrop*ones(n,n);

% Set the diagonals equal to 1
for i=1:n
    icebergchangemat(i,i)=1;
    fixedcostmat(i,i)=1;
    fixedchangeratmat(i,i)=1;
    fixedchange1mat(i,i)=1;
end

% Set Equal to one for within-continent countries
continents = [2,1,2,1,2,5,5,2,4,5,1,5,4,2,3,2,2,2,2,1,1,1,2,1,2,1,1,1,3,1,1,2,2,2,4,3,2,3,2,2,2,2,3,2,1,2,1,2,4,3,1,2,4,2,5,1,1,0];
for i=1:n
    for j=1:n
        if continents(i)==continents(j)
            icebergchangemat(i,j)=1;
            fixedcostmat(i,j)=1;
            fixedchangeratmat(i,j)=1;
            fixedchange1mat(i,j)=1;  
        end
    end
end


ALchanges.fixedchange1mat  = fixedchange1mat;
ALchanges.fixedchangeratmat= fixedchangeratmat;
ALchanges.icebergchangemat = icebergchangemat;
ALchanges.fixedcostmat     = fixedcostmat;
ALchanges.deftc             = deftc;
ALchanges.defmc             = defmc;


end

