function [ ALresults ] = alvarez_lucas_results( ALstart, ALfinish, ALparams, ALchanges )
%----------------------------------
%% Defining counterfactuals results
%----------------------------------

beta      = ALparams.beta;
gamma     = ALparams.gamma;
theta     = ALparams.theta;
sigma     = ALparams.sigma;

deftc     = ALchanges.deftc;
defmc     = ALchanges.defmc;

ym        = ALstart.ym;
gdp       = ALstart.gdp;
deficitt  = ALstart.deficitt;
deficitm  = ALstart.deficitm;
xnimatrix = ALstart.xnimatrix;
pimatrix  = ALstart.pimatrix;

pimatrix1 = ALfinish.pimatrix1;
wf1       = ALfinish.wf1;
pf0       = ALfinish.pf0;




ncountry= length(gdp);

pinn0   = diag(pimatrix);
pinn1   = diag(pimatrix1);
realwf  = (pinn1./pinn0).^(-gamma./(beta*theta));
realwm  = (wf1./pf0);

pricef  = (pf0.^(gamma)).*(ALfinish.wf1.^(1-gamma));
                                %aggregate price index
drelw   = wf1;                  %Ratio change in relative wage
drealwm = (wf1./pf0);           %Ratio change in real wage in manufactures
drealw  =  wf1./pricef;         %Ratio change in real wage
welfare = drealw.*((1+deftc./(wf1.*gdp))./(1+deficitt./gdp));
                                %Welfare taking into account loss of deficit
gdp1    = wf1.*gdp;             %Counterfactual gdp
xn1     =(((gamma/beta).*((wf1.*gdp) + deftc) - (1-beta)*defmc'/beta) * ones(1,ncountry));
                                %Counterfactual total sales
xnimatrix1 = pimatrix1.* xn1;   %Counterfactual spending matrix



ALresults.realwf    = realwf;
ALresults.realwm    = realwm;
ALresults.pricef    = pricef;
ALresults.drelw     = drelw;
ALresults.drealw    = drealw;
ALresults.welfare   = welfare;
ALresults.gdp1      = gdp1;
ALresults.xn1       = xn1;
ALresults.xnimatrix1= xnimatrix1;


end

